# IDRSolutions Ruby Client #

Interact with any [IDRsolutions' Microservice Examples](https://github.com/idrsolutions/) using the IDRSolutions Ruby Client.

The IDRsolutions Microservice Examples are open source projects that allows you to
convert PDFs using various softwares from [IDRSolutions](https://www.idrsolutions.com/) as an online service.

JPedal Microservice Example - Convert pages to images

BuildVu Microservice Example - Convert PDFs to HTML or SVG

FormVu Microservice Example - Convert PDF Forms to HTML

IDR Solutions offer a free trial service for running these libraries with Ruby. You can
find information at the following links for [JPedal](https://www.idrsolutions.com/jpedal/), [BuildVu](https://www.idrsolutions.com/buildvu/), and [FormVu](https://www.idrsolutions.com/formvu/).

-----

# Installation #

## Using RubyGems: ##

Run the following command to install

    $ gem install idr_cloud_client

Alternatively, add this line to your application's Gemfile...

```ruby
gem 'idr_cloud_client'
```

...and then execute:

    $ bundle install

## Building the gem manually: ##

Run the following command to build the gem locally:

    $ gem build idr_cloud_client.gemspec

You can then install it using:

    $ gem install idr_cloud_client

-----

# Usage #

## BuildVu: ##

Full usage for connecting to BuildVu can be found [here](https://support.idrsolutions.com/buildvu/tutorials/cloud/).

## JPedal: ##

Full usage for connecting to JPedal can be found [here](https://support.idrsolutions.com/jpedal/tutorials/cloud/).

## FormVu: ##

Full usage for connecting to FormVu can be found [here](https://support.idrsolutions.com/formvu/tutorials/cloud/).

-----

# Who do I talk to? #

Found a bug, or have a suggestion / improvement? Let us know through the Issues page.

Got questions? You can contact us [here](https://idrsolutions.atlassian.net/servicedesk/customer/portal/8).

-----

# Code of Conduct #

Short version: Don't be an awful person.

Longer version: Everyone interacting in the BuildVu Ruby Client project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](CODE_OF_CONDUCT.md).  

-----
Copyright 2020 IDRsolutions

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

[http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
